Subject: RE: [mobile-ip] Re: [Q] Routing header

From: BELOEIL Luc FTRD/DMI/CAE <[email-masked]>
Date: Thu, 31 May 2001 15:53:49 +0200

As far as I understand the problem, I'm not sure that sending BU-like
message to all CN is a pretty good solution here for some reasons (I hope I
understodd well your point): 

1- from the nodes inside the mobile network (= inside-nodes): inside-nodes
could send BU-like to their Correspondent nodes outside the Mobile Network
so that their correspondents could update their Routing Header towards them.
That solution supposes the nodes inside the Mobile Network are aware of
Mobile network movements. But, in that situation all inside-nodes become
Mobile Node, which generate a lot of BU traffic.

2- Moreover nodes inside the Mobile Network could prefer not be Mobile Node.
The movement should be transparent for them to my mind.

I see some other solutions :

- from the Mobile Router point of view: a Home Agent of the Mobile Router
could modify Routing Header of packets that should reach the mobile network,
but that raises strong security issues. -> wrong choice

- the Mobile Router could use a bidirectional tunnel with its Home Agent.
But encapsulation technics should be avoid in IPv6, souldn't they ? -> wrong
choice

- as all a sub-network moves, the route to that sub-network could be update
in all the network in using the Routing Protocols. But how longwill it take
to converge ? -> seems painful to acheive.  

- all along the path from the previous point of attachment of the MR to the
new point of attachment of the MR, the routes to the mobile network could be
update. In that solution when a router receives a BU from a mobile Router it
could update its route to the mobile network and then forward the BU towards
the Home Agent of the Mobile Router. So the mobility is transparent to all
nodes of the mobiles network and there no need to send lots of BU to all CN
that communicates with inside-nodes. But the route between the MR and its HA
could be unoptimized (that path between two points can change from one
packet to another, if the path is assymetric...). -> there are optimization
issues

Finally, what is the best to do ???

====> updating only Binding Caches of the CN which needs to communicate with
inside-nodes
or
====> updating route to the mobile network
I think my solutions answer to the second choice. I am not sure it's the
best choice, but that gives ideas, I hope.

my 0.2%
Luc 

> From : [email-masked] [mailto:[email-masked]]
> 
> 
> > Steve Deering wrote:
> > 
> > > Last time I looked, the Mobile IPv6 spec dealt with 
> mobile hosts only,
> > > not mobile routers.  If that's still true, it's unsurprising that
> > > it doesn't handle your scenario -- that would be the 
> responsibility
> > > of a (future) Mobile IPv6 Router spec.
> > 
> > Steve, you are perfectly right - mobile routers and 
> networks is not yet
> > a MIP WG item and the charter has never pretended to address this
> > issue.  May be it's time for it now.  What does the MIP WG 
> think about
> > this ?  Any vote for it to be included in the charter for the next
> > meeting ?
> > 
> > > Presumably, to make this work, the BU from the mobile 
> router to the CN
> > > would have to include the address prefix(es) reachable 
> via the mobile
> > > router (i.e., the mobile subnet or larger aggregate that 
> the mobile
> > > router is supposed to serve).  With that info, the CN 
> would be able to
> > > tell that the mobile host address falls within the 
> address block served
> > > by the mobile router, and could build the necessary header chain.
> > 
> > This is basically what my draft is proposing.  And in this case, the
> > MIPv6 spec needs redefine the "CN Operation".
> > (all is in the draft
> > 
> http://www.inrialpes.fr/planete/people/ernst/Documents/draft-e
> rnst-mobileip-v6-network.txt)
> > 
> > But there is an authorization issue that needs to be addressed as
> > everyone knows. 
> 
> I also have another issue in mind. Usually mobile nodes as 
> described in MIPv6 get an address assigned (c/o address), which is 
> valid and routable at their actual temporary Internet access point.
> 
> Reading your draft, if a MR roams with the attached mobile network, 
> the MR will get assigned a valid, routable c/o address at the new 
> access point, while nodes of the mobile subnets keep their permanent 
> static address (except if they are MNs, what you excluded for the 
> first step). If one of the hosts at the mobile subnet now sends out 
> some packets, it would use its permanent static IP address as source 
> address, and therefore face the problem of ingress filtering (except 
> the MR does some encapsulation work, but I havn't seen something like 
> that in the draft).
> 
> Wolfgang
> 
> > Thierry.
> >